Bug 1686716 - [abrt] lollypop: do_render(): cellrenderer.py:37:do_render:TypeError: Argument 0 does not allow None as a value
Summary: [abrt] lollypop: do_render(): cellrenderer.py:37:do_render:TypeError: Argumen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1bcdd08a3cf30d48b3986a528e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 06:08 UTC by Link Dupont
Modified: 2019-03-29 19:11 UTC (History)
1 user (show)

Fixed In Version: lollypop-0.9.925-1.fc28 lollypop-0.9.925-1.fc29 lollypop-0.9.925-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 21:17:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (832 bytes, text/plain)
2019-03-08 06:08 UTC, Link Dupont
no flags Details
File: cgroup (355 bytes, text/plain)
2019-03-08 06:08 UTC, Link Dupont
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2019-03-08 06:08 UTC, Link Dupont
no flags Details
File: environ (1.85 KB, text/plain)
2019-03-08 06:08 UTC, Link Dupont
no flags Details
File: mountinfo (4.05 KB, text/plain)
2019-03-08 06:09 UTC, Link Dupont
no flags Details
File: namespaces (129 bytes, text/plain)
2019-03-08 06:09 UTC, Link Dupont
no flags Details
File: open_fds (65.32 KB, text/plain)
2019-03-08 06:09 UTC, Link Dupont
no flags Details

Description Link Dupont 2019-03-08 06:08:55 UTC
Description of problem:
1. Connect a phone over USB
2. Launch the program
3. Select the phone in the "source" list on the left (in my case, A0001)
4. Click on an artist in the list

Version-Release number of selected component:
lollypop-0.9.924-1.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/lollypop
crash_function: do_render
exception_type: TypeError
executable:     /usr/bin/lollypop
interpreter:    python3-3.7.2-4.fc29.x86_64
kernel:         4.20.10-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cellrenderer.py:37:do_render:TypeError: Argument 0 does not allow None as a value

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/cellrenderer.py", line 37, in do_render
    pixbuf, scale_factor, None)
TypeError: Argument 0 does not allow None as a value

Local variables in innermost frame:
self: <cellrenderer.CellRendererAlbum object at 0x7efc0e90b828 (lollypop+cellrenderer+CellRendererAlbum at 0x55fab13b4160)>
ctx: <cairo.Context object at 0x7efc0e8d4830>
widget: <Gtk.TreeView object at 0x7efc0e1823f0 (GtkTreeView at 0x55fab0ad97a0)>
background_area: <Gdk.Rectangle object at 0x7efc0e018fa8 (GdkRectangle at 0x7ffde50ee270)>
cell_area: <Gdk.Rectangle object at 0x7efc0e018dc8 (GdkRectangle at 0x7ffde50ee140)>
flags: <flags 0 of type Gtk.CellRendererState>
scale_factor: 1
pixbuf: None

Comment 1 Link Dupont 2019-03-08 06:08:57 UTC
Created attachment 1542043 [details]
File: backtrace

Comment 2 Link Dupont 2019-03-08 06:08:58 UTC
Created attachment 1542044 [details]
File: cgroup

Comment 3 Link Dupont 2019-03-08 06:08:58 UTC
Created attachment 1542045 [details]
File: cpuinfo

Comment 4 Link Dupont 2019-03-08 06:08:59 UTC
Created attachment 1542046 [details]
File: environ

Comment 5 Link Dupont 2019-03-08 06:09:00 UTC
Created attachment 1542047 [details]
File: mountinfo

Comment 6 Link Dupont 2019-03-08 06:09:01 UTC
Created attachment 1542048 [details]
File: namespaces

Comment 7 Link Dupont 2019-03-08 06:09:02 UTC
Created attachment 1542049 [details]
File: open_fds

Comment 8 MartinKG 2019-03-08 07:10:11 UTC
Upstream Ticket: https://gitlab.gnome.org/World/lollypop/issues/1698

Comment 9 Fedora Update System 2019-03-08 20:12:09 UTC
lollypop-0.9.924-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab7b0bbfc2

Comment 10 Fedora Update System 2019-03-08 20:12:18 UTC
lollypop-0.9.924-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a8fa1873e

Comment 11 Fedora Update System 2019-03-08 20:12:30 UTC
lollypop-0.9.924-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c543880fe3

Comment 12 Fedora Update System 2019-03-09 17:40:22 UTC
lollypop-0.9.924-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab7b0bbfc2

Comment 13 Fedora Update System 2019-03-10 18:27:47 UTC
lollypop-0.9.924-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c543880fe3

Comment 14 Fedora Update System 2019-03-10 19:13:40 UTC
lollypop-0.9.924-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a8fa1873e

Comment 15 Fedora Update System 2019-03-11 07:48:47 UTC
lollypop-0.9.925-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-89a85f6c31

Comment 16 Fedora Update System 2019-03-11 07:48:59 UTC
lollypop-0.9.925-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f509e4cb54

Comment 17 Fedora Update System 2019-03-11 07:49:05 UTC
lollypop-0.9.925-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-42fc100c6d

Comment 18 Fedora Update System 2019-03-11 14:41:51 UTC
lollypop-0.9.925-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f509e4cb54

Comment 19 Fedora Update System 2019-03-11 20:01:06 UTC
lollypop-0.9.925-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-89a85f6c31

Comment 20 Fedora Update System 2019-03-11 20:48:46 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-42fc100c6d

Comment 21 Fedora Update System 2019-03-20 21:17:17 UTC
lollypop-0.9.925-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-03-20 22:12:38 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-03-21 14:40:18 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-03-29 19:11:38 UTC
lollypop-0.9.925-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.